<?php
if ($vbulletin->GPC['deletesigpic'] OR ($vbulletin->GPC['sigpicurl'] != '' AND $vbulletin->GPC['sigpicurl'] != 'http://www.') OR $vbulletin->GPC['upload']['size'] > 0)
{
	// We did something to signature picture, so we're not using vBSignatures pic no more

	// init user data manager
	$userdata =& datamanager_init('User', $vbulletin, ERRTYPE_STANDARD);
	$userdata->set_existing($vbulletin->userinfo);
		$userdata->set('dbtech_vbsignatures_signature', '0');
	$userdata->save();
	
	// Ensure this is set
	$vbulletin->userinfo['dbtech_vbsignatures_signature'] = '0';
}
?>